Subject: Re: [PATCH 19/20] [POWERPC] pci32: 4xx embedded platforms want to reassign all PCI resources

From: Josh Boyer <[email-masked]>
Date: Thu, 13 Dec 2007 15:59:46 -0600

On Fri, 14 Dec 2007 08:37:26 +1100
Benjamin Herrenschmidt <[email-masked]> wrote:

> 
> On Thu, 2007-12-13 at 15:11 -0600, Josh Boyer wrote:
> > Well, there is physical PCI hardware on the boards, yes.  But what if
> > people have no intention of using it?  E.g. they have no devices, etc.
> > Now we're requiring PCI support to be built into the kernel.
> > 
> > I'm just being pedantic about keeping embedded tiny.
> 
> Keeping your embedded design tiny (and thus your own BSP) is one thing,
> but adding ifdef's all over the place so that somebody can tinify an
> eval board, I'm less sure about this... but if you want, you can fixup
> my patches.

I'm not really advocating for ifdefs.  If it annoys me enough (which I
doubt it will), then I'd try to come up with some way to avoid those
too.  For now, I think selecting PCI in Kconfig for those boards is OK.

josh